/**
 * @license See https://github.com/ for full license
 */
import { FOCUSED_SELECTOR_NAME, FOCUSED_CLASS_NAME } from "./spatial-navigation";
import type { DirectionKeys } from "./spatial-navigation";
export { useFocusable } from "./use-focusable";
export { withFocusable } from "./with-focusable";
export type { FocusableProps, PublicComponentProps } from "./spatial-navigation";
export type Direction = DirectionKeys;
declare const initNavigation: ({ throttle: _throttle, throttleKeypresses: throttleKeypresses }?: {
    throttle?: number | undefined;
    throttleKeypresses?: boolean | undefined;
}) => void, setKeyMap: (keys: Partial<{
    left: (string | number)[];
    up: (string | number)[];
    right: (string | number)[];
    down: (string | number)[];
    enter: (string | number)[];
    back: (string | number)[];
}>) => void;
export { initNavigation, setKeyMap, FOCUSED_SELECTOR_NAME, FOCUSED_CLASS_NAME };
