import { type ReactNode } from "react";
import { type PublicComponentProps } from "./spatial-navigation";
export declare const useFocusable: <T extends HTMLElement = HTMLDivElement>(args?: PublicComponentProps) => {
    className: string | undefined;
    focusKey: string;
    parentFocusKey: string;
    setFocus: (overwriteFocusKey?: string | undefined, details?: Partial<Record<"event", KeyboardEvent>> | undefined) => void;
    stealFocus: (details?: Partial<Record<"event", KeyboardEvent>> | undefined) => void;
    focused: boolean;
    hasFocusedChild: boolean;
    navigateByDirection: (direction: "left" | "right" | "up" | "down", details?: {}) => void;
    resumeSpatialNavigation: () => void;
    pauseSpatialNavigation: () => void;
    updateAllSpatialLayouts: () => void;
    getCurrentFocusKey: () => string | null;
    ref: import("react").RefObject<T>;
    FocusProvider: ({ children }: {
        children: ReactNode;
    }) => import("react").JSX.Element;
};
